import 'package:flutter/material.dart';
import 'package:wyatt_bloc_helper/wyatt_bloc_helper.dart';

// ignore: always_use_package_imports
import './feature_name_wrapper_widget.dart';
// ignore: always_use_package_imports
import './widgets/feature_name_widget.dart';
// ignore: always_use_package_imports
import '../cubit/feature_name_cubit.dart';

class FeatureNameCubitStateManagement
    extends CubitScreen<FeatureNameCubit, FeatureNameState> {
  const FeatureNameCubitStateManagement({super.key});

  @override
  FeatureNameCubit create(BuildContext context) => FeatureNameCubit();

  @override
  Widget onWrap(BuildContext context, Widget child) =>
      FeatureNameWrapperWidget(child: child);

  @override
  Widget onBuild(BuildContext context, FeatureNameState state) =>
      const FeatureNameWidget();
}
